| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Modules | Functions
Read/Write of Primitive Data Types
Endpoint Data Reading and Writing

## Detailed Description

Endpoint data primitive read/write definitions.

Functions, macros, variables, enums and types related to data reading and writing of primitive data types from and to endpoints.

## Modules
| Read/Write of Primitive Data Types (LPC11Uxx, LPC1347)
| Endpoint primitive read/write definitions for the LPC11Uxx and LPC1347 architecture.
| Read/Write of Primitive Data Types (LPC17xx)
| Endpoint primitive read/write definitions for the LPC17xx architecture.
| Read/Write of Primitive Data Types (LPC18xx)
| Endpoint primitive read/write definitions for the LPC18xx architecture.

## Functions
static PRAGMA_ALWAYS_INLINE uint8_t | Endpoint_Read_8 (uint8_t corenum) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE
| Reads one byte from the currently selected endpoint's bank, for OUT direction endpoints.
static PRAGMA_ALWAYS_INLINE void | Endpoint_Write_8 (uint8_t corenum, const uint8_t Data) ATTR_ALWAYS_INLINE
| Writes one byte to the currently selected endpoint's bank, for IN direction endpoints.
static PRAGMA_ALWAYS_INLINE void | Endpoint_Discard_8 (uint8_t corenum) ATTR_ALWAYS_INLINE
| Discards one byte from the currently selected endpoint's bank, for OUT direction endpoints.
static PRAGMA_ALWAYS_INLINE uint16_t | Endpoint_Read_16_LE (uint8_t corenum) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE
| Reads two bytes from the currently selected endpoint's bank in little endian format, for OUT direction endpoints.
static PRAGMA_ALWAYS_INLINE uint16_t | Endpoint_Read_16_BE (uint8_t corenum) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE
| Reads two bytes from the currently selected endpoint's bank in big endian format, for OUT direction endpoints.
static PRAGMA_ALWAYS_INLINE void | Endpoint_Write_16_LE (uint8_t corenum, const uint16_t Data) ATTR_ALWAYS_INLINE
| Writes two bytes to the currently selected endpoint's bank in little endian format, for IN direction endpoints.
static PRAGMA_ALWAYS_INLINE void | Endpoint_Write_16_BE (uint8_t corenum, const uint16_t Data) ATTR_ALWAYS_INLINE
| Writes two bytes to the currently selected endpoint's bank in big endian format, for IN direction endpoints.
static PRAGMA_ALWAYS_INLINE void | Endpoint_Discard_16 (uint8_t corenum) ATTR_ALWAYS_INLINE
| Discards two bytes from the currently selected endpoint's bank, for OUT direction endpoints.
static PRAGMA_ALWAYS_INLINE uint32_t | Endpoint_Read_32_LE (uint8_t corenum) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE
| Reads four bytes from the currently selected endpoint's bank in little endian format, for OUT direction endpoints.
static PRAGMA_ALWAYS_INLINE uint32_t | Endpoint_Read_32_BE (uint8_t corenum) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE
| Reads four bytes from the currently selected endpoint's bank in big endian format, for OUT direction endpoints.
static PRAGMA_ALWAYS_INLINE void | Endpoint_Write_32_LE (uint8_t corenum, const uint32_t Data) ATTR_ALWAYS_INLINE
| Writes four bytes to the currently selected endpoint's bank in little endian format, for IN direction endpoints.
static PRAGMA_ALWAYS_INLINE void | Endpoint_Write_32_BE (uint8_t corenum, const uint32_t Data) ATTR_ALWAYS_INLINE
| Writes four bytes to the currently selected endpoint's bank in big endian format, for IN direction endpoints.
static PRAGMA_ALWAYS_INLINE void | Endpoint_Discard_32 (uint8_t corenum) ATTR_ALWAYS_INLINE
| Discards four bytes from the currently selected endpoint's bank, for OUT direction endpoints.

## Function Documentation

static void Endpoint_Discard_16 | ( | uint8_t | corenum | ) |
| inline static

Discards two bytes from the currently selected endpoint's bank, for OUT direction endpoints.

Returns
  Nothing

Parameters

  corenum | : ID Number of USB Core to be processed.

Definition at line 403 of file Endpoint.h.

static void Endpoint_Discard_32 | ( | uint8_t | corenum | ) |
| inline static

Discards four bytes from the currently selected endpoint's bank, for OUT direction endpoints.

Returns
  Nothing

Parameters

  corenum | : ID Number of USB Core to be processed.

Definition at line 513 of file Endpoint.h.

static void Endpoint_Discard_8 | ( | uint8_t | corenum | ) |
| inline static

Discards one byte from the currently selected endpoint's bank, for OUT direction endpoints.

Parameters

  corenum | : ID Number of USB Core to be processed.

Returns
  Nothing

Definition at line 303 of file Endpoint.h.

static uint16_t Endpoint_Read_16_BE | ( | uint8_t | corenum | ) |
| inline static

Reads two bytes from the currently selected endpoint's bank in big endian format, for OUT direction endpoints.

Parameters

  corenum | : ID Number of USB Core to be processed.

Returns
  Next two bytes in the currently selected endpoint's FIFO buffer.

Definition at line 344 of file Endpoint.h.

static uint16_t Endpoint_Read_16_LE | ( | uint8_t | corenum | ) |
| inline static

Reads two bytes from the currently selected endpoint's bank in little endian format, for OUT direction endpoints.

Parameters

  corenum | : ID Number of USB Core to be processed.

Returns
  Next two bytes in the currently selected endpoint's FIFO buffer.

Definition at line 321 of file Endpoint.h.

static uint32_t Endpoint_Read_32_BE | ( | uint8_t | corenum | ) |
| inline static

Reads four bytes from the currently selected endpoint's bank in big endian format, for OUT direction endpoints.

Parameters

  corenum | : ID Number of USB Core to be processed.

Returns
  Next four bytes in the currently selected endpoint's FIFO buffer.

Definition at line 448 of file Endpoint.h.

static uint32_t Endpoint_Read_32_LE | ( | uint8_t | corenum | ) |
| inline static

Reads four bytes from the currently selected endpoint's bank in little endian format, for OUT direction endpoints.

Parameters

  corenum | : ID Number of USB Core to be processed.

Returns
  Next four bytes in the currently selected endpoint's FIFO buffer.

Definition at line 423 of file Endpoint.h.

static uint8_t Endpoint_Read_8 | ( | uint8_t | corenum | ) |
| inline static

Reads one byte from the currently selected endpoint's bank, for OUT direction endpoints.

Parameters

  corenum | : ID Number of USB Core to be processed.

Returns
  Next byte in the currently selected endpoint's FIFO buffer

Definition at line 219 of file Endpoint.h.

static void Endpoint_Write_16_BE | ( | uint8_t | corenum,
|  | const uint16_t | Data
| ) |  |
| inline static

Writes two bytes to the currently selected endpoint's bank in big endian format, for IN direction endpoints.

Parameters

  corenum | : ID Number of USB Core to be processed.
  Data | : Data to write to the currently selected endpoint's FIFO buffer

Returns
  Nothing

Definition at line 387 of file Endpoint.h.

static void Endpoint_Write_16_LE | ( | uint8_t | corenum,
|  | const uint16_t | Data
| ) |  |
| inline static

Writes two bytes to the currently selected endpoint's bank in little endian format, for IN direction endpoints.

Parameters

  corenum | : ID Number of USB Core to be processed.
  Data | : Data to write to the currently selected endpoint's FIFO buffer

Returns
  Nothing

Definition at line 368 of file Endpoint.h.

static void Endpoint_Write_32_BE | ( | uint8_t | corenum,
|  | const uint32_t | Data
| ) |  |
| inline static

Writes four bytes to the currently selected endpoint's bank in big endian format, for IN direction endpoints.

Parameters

  corenum | : ID Number of USB Core to be processed.
  Data | : Data to write to the currently selected endpoint's FIFO buffer

Returns
  Nothing

Definition at line 495 of file Endpoint.h.

static void Endpoint_Write_32_LE | ( | uint8_t | corenum,
|  | const uint32_t | Data
| ) |  |
| inline static

Writes four bytes to the currently selected endpoint's bank in little endian format, for IN direction endpoints.

Parameters

  corenum | : ID Number of USB Core to be processed.
  Data | : Data to write to the currently selected endpoint's FIFO buffer

Returns
  Nothing

Definition at line 474 of file Endpoint.h.

static void Endpoint_Write_8 | ( | uint8_t | corenum,
|  | const uint8_t | Data
| ) |  |
| inline static

Writes one byte to the currently selected endpoint's bank, for IN direction endpoints.

Parameters

  corenum | : ID Number of USB Core to be processed.
  Data | : Data to write into the the currently selected endpoint's FIFO buffer

Returns
  Nothing

Definition at line 281 of file Endpoint.h.